Bug 1384903 - [RFE] Include RNC schema file in beaker-common
Summary: [RFE] Include RNC schema file in beaker-common
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: develop
Hardware: Unspecified
OS: Unspecified
low
unspecified vote
Target Milestone: 27.0
Assignee: Martin Styk
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-14 10:55 UTC by Florian Weimer
Modified: 2019-08-08 11:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 11:44:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Beaker Project Gerrit 6629 'None' 'MERGED' 'Add RNC schema for task and job' 2019-12-04 12:01:39 UTC

Description Florian Weimer 2016-10-14 10:55:24 UTC
Emacs can perform on-the-fly checking of XML documents against Relax NG schemata, but only if they are available in Compact syntax.

The trang tool can perform the conversion, like this:

trang -I rng -O rnc /usr/lib/python2.7/site-packages/bkr/common/schema/beaker-job.rng beaker-jobs.rnc

It would be nice if the conversion result were stored at a well-known location (preferably independent of the Python version), so that it is possible to hard-code references to it.

Comment 1 Roman Joost 2016-10-17 23:38:06 UTC
Ideas:

1) As a build step, so that we can ship it as in our next beaker releases.
2) Alternatively, we're already publishing the schema on beaker-project.org (https://beaker-project.org/docs/_downloads/beaker-job.rng). An easier way could be to simply release a compact version along side the beaker-job.rng

Comment 2 Tomas Klohna 🔧 2019-04-18 11:07:13 UTC
Hello Florian,
We will release this feature in Beaker 27.0, as this will require a spec modification.


Note You need to log in before you can comment on or make changes to this bug.